Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-64107

Convert SSHD module to a plugin

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Component/s: core
    • Labels:
      None
    • Similar Issues:
    • Released As:
      sshd-3.0.0

      Description

      As part of JENKINS-55582, we are going to extract the SSHD module to a plugin

        Attachments

          Activity

          Hide
          ifernandezcalvo Ivan Fernandez Calvo added a comment - - edited

          Plugins affected by the change:

          https://github.com/jenkinsci/scriptler-plugin/blob/master/pom.xml#L55
          https://github.com/jenkinsci/git-server-plugin/blob/master/pom.xml#L55
          https://github.com/jenkinsci/matrix-project-plugin/blob/master/pom.xml#L69

          Plugins that use the module as test dependency (Old Core 1.5x)

          https://github.com/jenkinsci/versionnumber-plugin/blob/master/pom.xml#L114 (3 years without updates)
          https://github.com/jenkinsci/xvfb-plugin/blob/master/pom.xml#L168 (1 year without updates)
          https://github.com/jenkinsci/remote-terminal-access-plugin/blob/master/pom.xml#L33 (7 years without updates)

          Plugins using Old Core 1.5x that probably do not work with modern cores

          https://github.com/jenkinsci/git-userContent-plugin/blob/master/pom.xml#L35 (6 years without updates)
          https://github.com/jenkinsci/activiti-explorer-plugin/blob/master/plugin/pom.xml#L33 (8 years without updates)
          https://github.com/jenkinsci/jenkow-plugin/blob/master/jenkow-plugin/pom.xml#L117 (8 years without updates)
          https://github.com/jenkinsci/jenkow-plugin/blob/master/jenkow-activiti-designer/pom.xml#L81 (8 years without updates)
          https://github.com/jenkinsci/jenkow-plugin/blob/master/jenkow-activiti-explorer/plugin/pom.xml#L77 (8 years without updates)

          Plugins that use Apache Mina sshd as a dependency

          https://github.com/jenkinsci/ssh-agent-plugin/blob/master/pom.xml#L86
          https://github.com/jenkinsci/ssh-cli-plugin/blob/master/pom.xml#L18
          https://github.com/jenkinsci/jsch-plugin/blob/master/pom.xml#L101
          https://github.com/jenkinsci/electricflow-plugin/blob/master/pom.xml#L89

          Show
          ifernandezcalvo Ivan Fernandez Calvo added a comment - - edited Plugins affected by the change: https://github.com/jenkinsci/scriptler-plugin/blob/master/pom.xml#L55 https://github.com/jenkinsci/git-server-plugin/blob/master/pom.xml#L55 https://github.com/jenkinsci/matrix-project-plugin/blob/master/pom.xml#L69 Plugins that use the module as test dependency (Old Core 1.5x) https://github.com/jenkinsci/versionnumber-plugin/blob/master/pom.xml#L114 (3 years without updates) https://github.com/jenkinsci/xvfb-plugin/blob/master/pom.xml#L168 (1 year without updates) https://github.com/jenkinsci/remote-terminal-access-plugin/blob/master/pom.xml#L33 (7 years without updates) Plugins using Old Core 1.5x that probably do not work with modern cores https://github.com/jenkinsci/git-userContent-plugin/blob/master/pom.xml#L35 (6 years without updates) https://github.com/jenkinsci/activiti-explorer-plugin/blob/master/plugin/pom.xml#L33 (8 years without updates) https://github.com/jenkinsci/jenkow-plugin/blob/master/jenkow-plugin/pom.xml#L117 (8 years without updates) https://github.com/jenkinsci/jenkow-plugin/blob/master/jenkow-activiti-designer/pom.xml#L81 (8 years without updates) https://github.com/jenkinsci/jenkow-plugin/blob/master/jenkow-activiti-explorer/plugin/pom.xml#L77 (8 years without updates) Plugins that use Apache Mina sshd as a dependency https://github.com/jenkinsci/ssh-agent-plugin/blob/master/pom.xml#L86 https://github.com/jenkinsci/ssh-cli-plugin/blob/master/pom.xml#L18 https://github.com/jenkinsci/jsch-plugin/blob/master/pom.xml#L101 https://github.com/jenkinsci/electricflow-plugin/blob/master/pom.xml#L89
          Hide
          ifernandezcalvo Ivan Fernandez Calvo added a comment -

          I've made PRs for all plugins that support Jenkins core 2.x

          Show
          ifernandezcalvo Ivan Fernandez Calvo added a comment - I've made PRs for all plugins that support Jenkins core 2.x

            People

            Assignee:
            ifernandezcalvo Ivan Fernandez Calvo
            Reporter:
            ifernandezcalvo Ivan Fernandez Calvo
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: